%define version 0.5.1
%define release %mkrel 14

Summary:	Python module for editing ID3v2 tags of MP3 audio files
Name:		pyid3lib
Version:	%{version}
Release:	%{release}
License:	LGPLv2
Group:		Sound/Utilities
URL:		http://pyid3lib.sourceforge.net/
Source:		http://download.sourceforge.net/%{name}/%{name}-%{version}.tar.bz2
Patch0: pyid3lib-0.5.1-64bit.patch
Patch1: pyid3lib-0.5.1-gcc-4.4.patch
BuildRequires:	id3lib-devel
BuildRequires:	zlib-devel
BuildRequires:	python-devel

%description
%{name} is a Python module for editing ID3v2 tags of MP3 audio files.

%prep
%setup -q
%patch0 -p1
%patch1 -p0
chmod -R go+rX .

%build
%{_bindir}/python setup.py build

%install
rm -rf %{buildroot}
%{_bindir}/python setup.py install --root=%{buildroot}

%files
%doc COPYING doc.html README
%py_platsitedir/*






%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.5.1-14.mga3
+ Revision: 378413
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 barjac <barjac> 0.5.1-13.mga3
+ Revision: 343375
- update group
- fix license
- fix invalid BR (rpmlint)
- minor spec clean

* Mon Jan 24 2011 ennael <ennael> 0.5.1-12.mga1
+ Revision: 37452
- imported package pyid3lib

